<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>Insert title here</title>
<script type="text/javascript">
window.onload = () => {
	let myId = document.getElementById("my_id");
	let myPass = document.getElementById("my_pass");
	
	document.log_f.onsubmit = () => {
		if(!myId.value) {
			alert("아이디를 입력하세요.");
			return false;
		}
		if(!myPass.value) {
			alert("비밀번호를 입력하세요.");
			return false;
		}
	};
	
	let btn = document.getElementById("btn");
	btn.onclick = () => {
		if(!myId.value) {
			alert("아이디를 입력하세요.");
			return false;
		}
		if(!myPass.value) {
			alert("비밀번호를 입력하세요.");
			return false;
		}
	}
};
</script>
</head>
<body>
	<form name="log_f" method="post" action="script_027_process.jsp">
		<fieldset>
			<legend>회원 로그인</legend>
			<label for="my_id">아이디</label> 
			<input type="text" name="my_id"	id="my_id" /> 
			<label for="my_pass">비밀번호</label> 
			<input 	type="password" name="my_pass" id="my_pass" />
			<input type="submit" value="login" />
			<button id="btn">Button</button>
		</fieldset>
	</form>
</body>
</html>